function portal1()
  properties("particles/whirl", 4, 0.25)

  initcolor({0.5,0.8,0.0}, {0.5,0.9,0.1})
  initsize(12.0)
  initlifespan(1.0)
  initroll(0, 360)

  positionbox({-0.2, -0.2, -0.2}, {0.2, 0.2, -0.2})

  movement{0,0,0}
  easealpha({0, 0.25, 0.75, 1.0}, 0.4)
  tendsize(0, 1.0, 4.0)
  rotation(30)
end

function portal2()
  properties("particles/dot", 100, 0.05)

  initcolor({1.0,1.0,1.0})
  initlifespan(1.0)

  positionsphere(6.0)
  velocitytarget(6)
  
  movement{0,0,0}
  easesize({0, 0.7, 0.8, 1.0}, 0.7)
  orbitline({0,0,1}, 20)
end

function portal3()
  properties("particles/dot", 100, 0.02)

  initcolor({1.0,1.0,1.0})
  initlifespan(1.0)

  positionsphere(0.5)
  velocitytarget(-16)
  
  movement{0,0,0}
  easesize({0, 0.1, 0.3, 1.0}, 0.9)
end

